//Datei: PROTOS.H
// DS1821 Programmer mit PIC16F84
//
// Nur Prototypen
//
// Copyright 1999 by Holger Klabunde
// 02.05.2001
// Compiler CC5x

#ifndef PROTOS_H
#define PROTOS_H
extern void InitPIC();

extern unsigned char MasterReset();
extern void SendByte(unsigned char by);
extern int ReadByte();

extern void Delay1ms(unsigned char delay);
extern void Delay10us();
extern void Delay100us(unsigned char delay);

extern void LCDInit();
extern void LCDWriteByte(unsigned char);
extern void LCDWrite(const char *);
extern void LCDCls();
extern void LCDPos(unsigned char, unsigned char);

extern void BinToBCD8();

extern void ResetThermostat();
extern void ShowDisplay();

extern unsigned char stelle; 	//Position auf der LCD-Anzeige
extern unsigned char key; 	//Tastatur lesen
extern unsigned char result;	//Zwischenergebnisse
extern unsigned char tastbuf; //Tastaturpuffer fr lesen im INT
extern unsigned char boing;    //Warten auf INT
extern unsigned char lcdport;

extern unsigned char B0;
extern unsigned char R0,R1;

#endif
