//Datei: ds1821.H
// Pindefinitionen fr den PIC
//
// Holger Klabunde
// Copyright 2000
// 22.04.2001
// Compiler PICCLite

#define DQ	RA4 //Die Datenleitung zum DS1821
                        //Der einzige Open Collector Ausgang

#define DSPOWER RB7 //Vcc fr DS an/aus

//Befehle fr den DS1821
#define READTEMP	0xAA	//Temperatur lesen
#define WRITEHIGH	0x01	//Einschalttemperatur schreiben
#define WRITELOW	0x02	//Ausschalttemperatur schreiben
#define READHIGH	0xA1	//Einschalttemperatur lesen
#define READLOW		0xA2	//Ausschalttemperatur lesen
#define WRITESTATUS	0x0C	//Statusregister schreiben
#define READSTATUS	0xAC	//Statusregister lesen
#define STARTCONV	0xEE	//Messung starten
#define STOPCONV	0x22	//Messung abbrechen

//Eingnge fr die 4 Bedientaster an PORTA
//Masken zum auswerten der Tastatur
#define DOWN	0x01
#define UP	0x02
#define RIGHT	0x04
#define ENTER	0x08
